Wealth Reader (8.1.6)

Download OpenAPI specification:

基于PSD2的监管API提供对某些金融信息的访问,如银行账户余额和交易。然而,还存在其他财富信息来源,这些信息无法通过这些API访问。Wealth Reader API通过提供对全球任何实体中额外财富来源的实时访问来扩展监管API提供的信息。还有两个其他相关文档将帮助您集成Wealth Reader API。一个是Javascript小部件集成指南:https://docs-en.wealthreader.com/ 另一个是基于此文档的Postman集合。 非常重要:此API定义适用于通过Widget集成的客户端,因此省略了一些对此类集成不必要的参数,例如银行认证参数,因为将使用令牌。

Core

标准集成所需的核心API

检索金融资产及其组成详情

检索金融资产及其组成详情,包括由股票或基金组成的投资组合、信用卡、保险和贷款。包括每个资产的所有权信息以及便于数据处理的唯一标识符。可以获取Mock数据。请咨询技术团队如何操作。

Request Body schema: application/x-www-form-urlencoded
api_key
string

在服务中标识客户端

code
string

实体名称。完整列表可通过GET获取

示例: caixabank

token
string

标识托管的凭据。获取令牌的流程在"Widget集成指南"文档中描述。可用的Mock用户如下:MOCKDATA,OK响应;MOCKOTP,带OTP挑战的响应;MOCKLOGINKO,带登录错误的响应

示例: MOCKDATA

product_types
string
Enum: "accounts" "portfolios" "cards" "receipts" "loans" "factoring" "confirming" "properties" "invoices" "files" "deposits" "leases"

要检索信息的产品类型列表。接受多个用逗号分隔的值。

示例: accounts,portfolios

only_balances
boolean
Default: false

指示是否仅获取产品余额而不是所有可用信息。默认值:false。

示例: false

date_from
string <date>

请求交易的起始日期,格式为YYYY-MM-DD。必须是今天之前的日期。

示例: 2024-01-01

date_to
string <date>

这仅适用于按未来日期限制贷款和确认产品,格式为YYYY-MM-DD。日期必须晚于今天

示例: 2025-12-31

required_products_schema
string

所需产品架构。指示需要从哪些账户或卡获取数据,以及附加配置。

示例:

{
  "ACCOUNTS": {
    "0ae4d722b1c82feeafb4b36b2893230444071335": {
      "only_balances": false,
      "add_pdf_from_uuids": [
        "90763109952d4f2ebece8dceca8254078c5384a0"
      ],
      "date_from": "2024-04-03"
    }
  },
  "CARDS": {
    "957e6f63546f3fecacce80192b6f7436496dc057": {}
  }
}
add_pdf_from_uuids
string

接受用逗号分隔的交易uuid。仅当product_types为ALL或包含accounts时才考虑此参数。添加与每个请求的银行交易相关联的PDF文档。

示例:

20966426721d0885ef9d4b95535e1d3198936f16,8772d6c978d37d7af83094abf380b8b703e94105,e59296b79e7f80cec26679d2c65883025fd59295
otp_method
string

当API返回错误码2017或20171(多种OTP方式)时,用于选择二次验证投递渠道。请使用同一响应中的会话标识再次调用,并将otp_method设为statistics.otpMethods中某一对象的otp_method字段的完整字符串——不要使用数组下标。首次凭据请求可省略;用户选择方式后必填。下方示例仅供参考;请始终复制statistics.otpMethods中返回的字符串。

示例: OTP_SMS ****1234

Responses

Request samples

Content type
application/x-www-form-urlencoded
api_key=a1b2c3d4e5f6g7h8i9j0&code=caixabank&token=1234Asdf&product_types=accounts%2Cportfolios&only_balances=false&date_from=2024-01-01&date_to=2025-12-31&required_products_schema=%7B%22ACCOUNTS%22%3A%7B%220ae4d722b1c82feeafb4b36b2893230444071335%22%3A%7B%22only_balances%22%3Afalse%2C%22add_pdf_from_uuids%22%3A%5B%2290763109952d4f2ebece8dceca8254078c5384a0%22%5D%2C%22date_from%22%3A%222024-04-03%22%7D%7D%2C%22CARDS%22%3A%7B%22957e6f63546f3fecacce80192b6f7436496dc057%22%3A%7B%7D%7D%7D&add_pdf_from_uuids=20966426721d0885ef9d4b95535e1d3198936f16%2C8772d6c978d37d7af83094abf380b8b703e94105

Response samples

Content type
application/json
[
  • {
    }
]

交易类型列表

query Parameters
lang
string
Default: "es"
Enum: "es" "en"

Response language

Responses

Response samples

Content type
application/json
[
  • [
    ]
]

查询与api_key关联的令牌

使用此方法查询与特定api_key关联的所有令牌。结果按每页500个令牌的块返回。

Request Body schema: application/x-www-form-urlencoded
required
api_key
string

api_key用于在服务中识别客户端

page
number

指定要检索的页码。每页最多包含500个令牌。如果未提供,默认值为1

示例: 2

Responses

Request samples

Content type
application/x-www-form-urlencoded
api_key=a1b2c3d4e5f6g7h8i9j0&page=1

Response samples

Content type
application/json
[
  • {
    }
]

撤销令牌

此方法允许撤销现有令牌以取消授权未来的API访问请求。

Request Body schema: application/x-www-form-urlencoded
required
api_key
string

在服务中标识客户端

token
string

要撤销的令牌。

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "message": "Token successfully revoked."
}

将令牌重新分配给不同的api_key

此方法允许将令牌从一个api_key重新分配到另一个。

Request Body schema: application/x-www-form-urlencoded
required
api_key_source
string

从中重新分配令牌的api_key。

api_key_target
string

要将令牌重新分配到的api_key。

token
string

要重新分配的令牌。

示例: FRJ0mHlaqZwLzu

Responses

Request samples

Content type
application/x-www-form-urlencoded
api_key_source=a1b2c3d4e5f6g7h8i9j0&api_key_target=b2c3d4e5f6g7h8i9j0k1&token=FRJ0mHlaqZwLzu

Response samples

Content type
application/json
{
  • "success": true,
  • "message": "Token successfully reassigned."
}

添加新域名

添加将托管小部件的域名与目标webhook之间的关联。出于安全原因,编辑和删除操作只能通过向支持团队请求来完成

Request Body schema: application/x-www-form-urlencoded
required
method
required
string

Method to execute.

示例: add

api_key
required
string

User's API key.

domain
required
string

Domain to add.

示例: http://desarrollo.cliente.es

url_callback
required
string

URL for callback.

示例: https://desarrollo.cliente.es/hooks/wealthreader

tokenize
required
string

Indicates whether to tokenize or not.

示例: 1

Responses

Request samples

Content type
application/x-www-form-urlencoded
method=add&api_key=a1b2c3d4e5f6g7h8i9j0&domain=https%3A%2F%2Fwww.cliente.com&url_callback=https%3A%2F%2Fwww.cliente.com%2Fwebhooks%2Fwealthreader&tokenize=1

Response samples

Content type
application/json
{
  • "success": true,
  • "message": "string"
}

错误代码列表

错误代码列表。请特别注意,并非所有错误代码都应该由您的应用程序以相同方式处理。对于密码错误,您不应该使用相同的参数重试调用,但对于指示实体正在维护的错误,您可以重试。请与我们的团队请求技术会议,以解决有关错误管理的任何问题。

query Parameters
lang
string
Default: "es"
Enum: "es" "en"

Response language

Responses

Response samples

Content type
application/json
[
  • [
    ]
]

警告代码列表

警告代码列表。

query Parameters
lang
string
Default: "es"
Enum: "es" "en"

Response language

Responses

Response samples

Content type
application/json
[
  • [
    ]
]

Advanced

可选端点,不需要用于标准集成。仅在 Wealth Reader 明确指示时使用。

检索支持的实体列表

检索支持的实体列表以及绘制实体登录表单所需的信息。

query Parameters
show_only_tested
integer
Default: 0
Enum: 0 1

Indicates whether to show only tested entities. Default value is 0. In production environments, always use 1.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

通过IBAN验证银行账户所有权

此端点是可选的,不需要用于标准集成。仅在Wealth Reader明确指示时使用。 允许使用IBAN和声称持有人的身份数据验证自然人或法人是否是特定银行账户的持有人。

Request Body schema: application/x-www-form-urlencoded
required
api_key
required
string

Identifies the client in the service

iban
required
string

IBAN code of the bank account to verify (without spaces)

示例: ES4914651234561234567890

document_type
required
string
Enum: "NIF" "NIE" "Pasaporte" "CIF"

Type of identification document

document_number
required
string

Identification document number

示例: 12345678Z

holder_name
required
string

Full name of the natural person or company name

示例: LUIS GARCIA BAQUERO

Responses

Request samples

Content type
application/x-www-form-urlencoded
api_key=a1b2c3d4e5f6g7h8i9j0&iban=ES4914651234561234567890&document_type=NIF&document_number=12345678Z&holder_name=LUIS%20GARCIA%20BAQUERO

Response samples

Content type
application/json
{
  • "success": true,
  • "result": {
    },
  • "statistics": {
    }
}

注册新用户

此端点是可选的,不需要用于标准集成。仅在Wealth Reader明确指示时使用。 此端点允许基于唯一标识符在投资组合转移平台Easytransfer或报告工具Acumulas上注册用户。

Request Body schema: application/x-www-form-urlencoded
required
api_key
required
string

Authentication key (8 alphanumeric characters)

user_id
required
string

User identification document.

示例: 12345678A

service
required
string
Enum: "integra" "easy-transfer"

Service associated with the user. Determines the data flow.

示例: easy-transfer

email
required
string <email>

User email, used according to service type.

示例: [email protected]

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "message": "User registered successfully"
}

检查用户注册状态

此端点是可选的,不需要用于标准集成。仅在Wealth Reader明确指示时使用。 检查用户是否已在Easytransfer或Acumulas系统中注册,并返回用户的唯一访问链接。

Request Body schema: application/x-www-form-urlencoded
required
api_key
required
string

Authentication key

user_id
required
string

User identification document.

示例: 12345678A

Responses

Response samples

Content type
application/json
{}

撤销之前注册的用户

此端点是可选的,不需要用于标准集成。仅在Wealth Reader明确指示时使用。 此端点允许从Easytransfer或Acumulas平台服务中注销用户。

Request Body schema: application/x-www-form-urlencoded
required
api_key
required
string

Authentication key (8 alphanumeric characters)

user_id
required
string

User identification document.

示例: 12345678A

service
required
string
Enum: "integra" "easy-transfer" "all"

Service from which to unregister the user. 'all' for all services.

示例: easy-transfer

Responses

Response samples

Content type
application/json
{
  • "success": true,
  • "message": "User unregistered successfully"
}

批量连接加载

此端点是可选的,不需要用于标准集成。仅在Wealth Reader明确指示时使用。 重要:要使用Wealthreader端的批量进程管理,需要专用环境。此端点在api.wealthreader.com上不可用。 在"batch"标签下分组的端点允许异步处理多个银行连接,与同步的/entities/方法不同。非常适合处理大量连接并避免超时。

Request Body schema: application/json
required
api_key
required
string

Identifies the client in the service

notification_url
required
string <uri>

Webhook URL. A notification is sent to this URL for each individual credential as soon as it completes processing, not only once all connections in the batch are done.

示例: https://example.com/webhook/batch-complete

required
Array of objects (batch-connection) non-empty

List of connections to process

Responses

Callbacks

Request samples

Content type
application/json
{
  • "api_key": "a1b2c3d4e5f6g7h8i9j0",
  • "connections": [
    ]
}

Response samples

Content type
application/json
{
  • "success": true,
  • "batch_id": "batch_20250120_a1b2c3d4",
  • "total_connections": 5,
  • "estimated_completion_time": "2025-01-20T10:45:00Z"
}

Callback payload samples

Callback
POST: Webhook fired when a credential finishes processing
Content type
application/json
{
  • "batch_id": 10863151,
  • "credential_id": "cred_demo_002",
  • "status": "completed",
  • "timestamp": "2026-05-13T08:02:47+00:00"
}

获取批量连接的一般统计信息

此端点是可选的。检索批次中所有连接处理结果的一般统计信息。

Request Body schema: application/json
required
api_key
required
string

Identifies the client in the service

batch_id
required
string

Batch ID

Responses

Request samples

Content type
application/json
{
  • "api_key": "string",
  • "batch_id": "string"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "batch_id": "batch_20250120_a1b2c3d4",
  • "status": "completed",
  • "statistics": {
    }
}

获取批次中特定连接的单独结果

此端点是可选的。检索批次中特定连接的结果。

Request Body schema: application/json
required
api_key
required
string

Identifies the client in the service

batch_id
required
string

Batch ID

credential_id
required
string

Filter by specific credential_id

Responses

Request samples

Content type
application/json
{
  • "api_key": "string",
  • "batch_id": "string",
  • "credential_id": "string"
}

Response samples

Content type
application/json
{
  • "success": true,
  • "payload": {
    },
  • "statistics": {
    }
}